var SEARCH_DATA = {
    data: [],
    ready: false
};

(function () {
    var total=1,
        count=0;

    function loaded() {
        if(++count == total) {
            SEARCH_DATA.ready = true;
        }

        window.postMessage(['searchLoad',(count / total * 100) + '%'].join('[||]'), '*');
    }

    [   "searchdata0.js"
    ].forEach(function(src) {
        var s = document.createElement('script');
        s.src = src;
        s.onload = loaded;
        document.head.appendChild(s);
    });
}());
